> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect Material List from entity

```jsonc Body raw (json) wrap expandable theme={null}
{
    "from_entity", // required | string | max:255 | values: 'job', 'project', 'invoice', 'order', 'estimate'
    "from_entity_id", // required | integer | existing id of entities listed for to_entity
}
```


## OpenAPI

````yaml post /material-lists/{id}/disconnect
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /material-lists/{id}/disconnect:
    post:
      tags:
        - Material Lists
      summary: Disconnect Material List from entity
      operationId: postMaterialListsByIdDisconnect
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from_entity:
                  type: string
                  enum:
                    - job
                    - project
                    - invoice
                    - order
                    - estimate
                  maxLength: 255
                from_entity_id:
                  type: integer
                  description: Existing id of entities listed for to_entity.
              required:
                - from_entity
                - from_entity_id
            example:
              from_entity: job
              from_entity_id: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
                    description: The requested record.
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                error: true
                errors:
                  - error message
                  - error message
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              example:
                message: Request URL or object not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Material Lists Overview](/inventory-materials/material-lists/material-lists.md)
- [How to Manage Purchase Orders](/inventory-materials/purchase-orders/managing.md)
- [Offline Mode Overview](/troubleshooting/offline-mode/offline-mode.md)
- [Setting Up Item List & Inventory](/inventory-materials/item-list/adding-items.md)
- [Material Lists](/inventory-materials/material-lists/index.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.